LSMOD(8)

NAZWA
lsmod - pokazuje załadowane moduły

SKŁADNIA
lsmod [-hV]

OPIS
lsmod wyświetla informację o wszystkich załadowanych modułach.

Informacja podawana jest w następującym formacie: nazwa, rozmiar, licznik użycia, lista odwołujących się do niego modułów. Podawana informacja jest identyczna z tą, która jest dostępna poprzez /proc/modules.

Jeżeli moduł może usunąć się za pomocą funkcji can_unload, to lsmod w polu licznik użycia wyświetla zawsze -1, niezależnie od rzeczywistej wartość licznika,

OPCJE

-h, --help
    Wyświetla podsumowanie opcji i kończy działanie.

-V, --version
    Wyświetla wersję programu lsmod i kończy działanie.

ZOBACZ TAKŻE
insmod(8), modprobe(8), depmod(8), rmmod(8), ksyms(8)

HISTORIA
Wsparcie dla modułów zostało zapoczątkowane przez Anonima
Pierwsza wersja linuksowa przygotowana przez Basa Laarhovena <bas@vimec.nl>
Wersja 0.99.14 przygotowana przez Jona Tombsa <jon@gtex02.us.es>
Rozbudowana przez Bjorna Ekwalla <bj0rn@blox.se>
Aktualizowana do 2.1.17 przez Richarda Hendersona <rth@tamu.edu>
Aktualizowana przez Bjorna Ekwalla <bj0rn@blox.se> w marcu 1999